org.richfaces.fragment.pickList

## Class RichFacesPickList.AdvancedPickListInteractions

- java.lang.Object
- - org.richfaces.fragment.pickList.RichFacesPickList.AdvancedPickListInteractions

- All Implemented Interfaces:
    VisibleComponentInteractions
  Enclosing class:
    RichFacesPickList

      public class RichFacesPickList.AdvancedPickListInteractions
      extends Object
      implements VisibleComponentInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesPickList.AdvancedPickListInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected RichFacesPickList.OrderingListInPickList` | `_getOrderTargetList()`
    `org.openqa.selenium.WebElement` | `getAddAllButtonElement()`
    `org.openqa.selenium.WebElement` | `getAddButtonElement()`
    `org.openqa.selenium.WebElement` | `getBottomButtonElement()`
    `org.openqa.selenium.WebElement` | `getDownButtonElement()`
    `OrderingList` | `getOrderTargetList()` This method return element which has operations over the orderable target list.
    `org.openqa.selenium.WebElement` | `getRemoveAllButtonElement()`
    `org.openqa.selenium.WebElement` | `getRemoveButtonElement()`
    `org.openqa.selenium.WebElement` | `getRootElement()`
    `List<org.openqa.selenium.WebElement>` | `getSelectedSourceListItemsElements()`
    `List<org.openqa.selenium.WebElement>` | `getSelectedTargetListItemsElements()`
    `org.openqa.selenium.WebElement` | `getSourceCaptionElement()`
    `org.openqa.selenium.WebElement` | `getSourceHeaderElement()`
    `ListComponent<? extends SelectableListItem>` | `getSourceList()`
    `org.openqa.selenium.WebElement` | `getSourceListContentAreaElement()`
    `List<org.openqa.selenium.WebElement>` | `getSourceListItemsElements()`
    `org.openqa.selenium.WebElement` | `getTargetCaptionElement()`
    `org.openqa.selenium.WebElement` | `getTargetHeaderElement()`
    `ListComponent<? extends SelectableListItem>` | `getTargetList()`
    `org.openqa.selenium.WebElement` | `getTargetListContentAreaElement()`
    `List<org.openqa.selenium.WebElement>` | `getTargetListItemsElements()`
    `org.openqa.selenium.WebElement` | `getTopButtonElement()`
    `org.openqa.selenium.WebElement` | `getUpButtonElement()`
    `boolean` | `isVisible()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesPickList.AdvancedPickListInteractions

          public RichFacesPickList.AdvancedPickListInteractions()

  - ### Method Detail

    - #### getAddAllButtonElement

          public org.openqa.selenium.WebElement getAddAllButtonElement()

    - #### getAddButtonElement

          public org.openqa.selenium.WebElement getAddButtonElement()

    - #### getBottomButtonElement

          public org.openqa.selenium.WebElement getBottomButtonElement()

    - #### getSourceCaptionElement

          public org.openqa.selenium.WebElement getSourceCaptionElement()

    - #### getTargetCaptionElement

          public org.openqa.selenium.WebElement getTargetCaptionElement()

    - #### getDownButtonElement

          public org.openqa.selenium.WebElement getDownButtonElement()

    - #### getSourceHeaderElement

          public org.openqa.selenium.WebElement getSourceHeaderElement()

    - #### getTargetHeaderElement

          public org.openqa.selenium.WebElement getTargetHeaderElement()

    - #### getSourceListContentAreaElement

          public org.openqa.selenium.WebElement getSourceListContentAreaElement()

    - #### getTargetListContentAreaElement

          public org.openqa.selenium.WebElement getTargetListContentAreaElement()

    - #### getRemoveAllButtonElement

          public org.openqa.selenium.WebElement getRemoveAllButtonElement()

    - #### getRemoveButtonElement

          public org.openqa.selenium.WebElement getRemoveButtonElement()

    - #### getSelectedSourceListItemsElements

          public List<org.openqa.selenium.WebElement> getSelectedSourceListItemsElements()

    - #### getSourceListItemsElements

          public List<org.openqa.selenium.WebElement> getSourceListItemsElements()

    - #### getSelectedTargetListItemsElements

          public List<org.openqa.selenium.WebElement> getSelectedTargetListItemsElements()

    - #### getTargetListItemsElements

          public List<org.openqa.selenium.WebElement> getTargetListItemsElements()

    - #### getRootElement

          public org.openqa.selenium.WebElement getRootElement()

    - #### getSourceList

          public ListComponent<? extends SelectableListItem> getSourceList()

    - #### getTargetList

          public ListComponent<? extends SelectableListItem> getTargetList()

    - #### getTopButtonElement

          public org.openqa.selenium.WebElement getTopButtonElement()

    - #### getUpButtonElement

          public org.openqa.selenium.WebElement getUpButtonElement()

    - #### _getOrderTargetList

          protected RichFacesPickList.OrderingListInPickList _getOrderTargetList()

    - #### getOrderTargetList

          public OrderingList getOrderTargetList()

      This method return element which has operations over the orderable target list. If the list is not orderable than some Exception is thrown.

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `VisibleComponentInteractions`

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.